Bug 1820542 - 4.3 UPI Vmware test runs fail with invalid internal LB hostname in certificates
Summary: 4.3 UPI Vmware test runs fail with invalid internal LB hostname in certificates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.z
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1820145
Blocks: 1820543
TreeView+ depends on / blocked
 
Reported: 2020-04-03 10:18 UTC by Stefan Schimanski
Modified: 2020-04-30 01:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1820145
: 1820543 (view as bug list)
Environment:
Last Closed: 2020-04-30 01:28:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 814 None closed [release-4.3] Bug 1820542: certrotationcontroller: fix typo calling wrong internal LB func 2020-04-29 01:47:08 UTC
Red Hat Product Errata RHBA-2020:1529 None None None 2020-04-30 01:28:22 UTC

Description Stefan Schimanski 2020-04-03 10:18:44 UTC
+++ This bug was initially created as a clone of Bug #1820145 +++

Description of problem:

UPI Vmware test runs fail with invalid internal LB hostname in certificates

Version-Release number of selected component (if applicable):

4.4, 4.5

Actual results:

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-vsphere-upi-4.4/1357

Comment 3 Ke Wang 2020-04-21 02:49:22 UTC
Per https://bugzilla.redhat.com/show_bug.cgi?id=1820145#c4, without fix, the following error message will be found in Build Log of upi on vsphere, 
  
  Mar 30 17:51:12.624: INFO: Error running /usr/bin/oc --kubeconfig=/tmp/admin.kubeconfig get -n openshift-operator-lifecycle-manager deployment catalog-operator -o=jsonpath={.spec.template.spec.containers[*].imagePullPolicy}:                              Unable to connect to the server: x509: certificate is valid for kubernetes, kubernetes.default, kubernetes.default.svc, kubernetes.default.svc.cluster.local, openshift, openshift.default, openshift.default.svc, openshift.default.svc.cluster.local, ....1, not api.ci-op.origin-ci-aws.dev.cloud.com         

Watching the latest jobs and check if the error won't occur again.

Firstly, check if the fix has already merged into the latest build, 

$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-04-20-084750 | grep kube-apiserver
  cluster-kube-apiserver-operator               https://github.com/openshift/cluster-kube-apiserver-operator               0055f76a7d62f0734725fea97c7aca18c57c9c95
  
$ git log --date local --pretty="%h %an %cd - %s" 0055f76 | grep '#814'
0055f76a OpenShift Merge Robot Fri Apr 17 21:27:19 2020 - Merge pull request #814 from openshift-cherrypick-robot/cherry-pick-810-to-release-4.3

We can see the fix was in payload 4.3.0-0.nightly-2020-04-20-084750 , checked the related Build Log of upi on vsphere: https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-vsphere-upi-4.3/1146, above similar errors won't be found.

Comment 5 errata-xmlrpc 2020-04-30 01:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1529


Note You need to log in before you can comment on or make changes to this bug.